# Uses of Class
com.clickhouse.jdbc.parser.ClickHouseSqlParserTokenManager

Packages that use ClickHouseSqlParserTokenManager
Package
Description
com.clickhouse.jdbc.parser

## Uses of ClickHouseSqlParserTokenManager in com.clickhouse.jdbc.parser

Fields in com.clickhouse.jdbc.parser declared as ClickHouseSqlParserTokenManager
Modifier and Type
Field
Description
`ClickHouseSqlParserTokenManager`
ClickHouseSqlParser.`token_source`
Generated Token Manager.
Methods in com.clickhouse.jdbc.parser with parameters of type ClickHouseSqlParserTokenManager
Modifier and Type
Method
Description
`void`
ClickHouseSqlParser.`ReInit(ClickHouseSqlParserTokenManager tm)`
Reinitialise
Constructors in com.clickhouse.jdbc.parser with parameters of type ClickHouseSqlParserTokenManager
Modifier
Constructor
Description
``
`ClickHouseSqlParser(ClickHouseSqlParserTokenManager tm)`
Constructor with generated Token Manager.